Subject: Re: bug#45751: [feature/native-comp] emacs keeps running 100% of CPU
From: Andrea Corallo <[email-masked]>
To: akrl--- via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]>
Cc: Édouard Debry <[email-masked]>, [email-masked]
Date: Thu, 28 Jan 2021 08:01:19 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

akrl--- via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Édouard Debry <[email-masked]> writes:
>
>> I noticed that when launching emacs on linux (debian buster),
>> it keeps on running 100% of the CPU and seems to gradually eat all
>> memory, approximately 1-2% every minute.
>>
>> It seems related to native compiling. In the
>> *Async-native-compile-log* I read :
>>
>> <=============================>
>> Compiling
>> /home/edouard/.emacs.d/elpa/color-theme-sanityinc-solarized-20200805.603/color-theme-sanityinc-solarized.el...
>
> Hi Édouard,
>
> with 0ffb3dfaa4 I'm now able to compile
> color-theme-sanityinc-solarized.el.
>
> Could you check works for you too?

As for me is working and no feedback was provided I'm closing this.

Happy to re-open in case.

Thanks!

  Andrea